API ReferenceElectricity flows

Forecast

get
/v4/electricity-flows/forecast

Get the electricity flows forecast for a zone

Query Parameters

zone optional

An Electricity Maps zone key.

Example: "DK-DK2"
temporalGranularity optional

The temporal granularity of the data to get.

Default: "hourly"
One of: "5_minutes", "15_minutes", "hourly"
lat optional

Latitude of the location to get the data for.

Example: 41.877
lon optional

Longitude of the location to get the data for.

Example: -88.0703
horizonHours optional

The number of hours ahead to forecast.

Default: 24
One of: 6, 24, 48, 72
disableCallerLookup optional

If true, the fallback IP-based zone lookup will not be performed.

Default: false

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v4/electricity-flows/forecast"
{  "zone": "DK-DK2",  "temporalGranularity": "hourly",  "unit": "MW",  "data": [    {      "datetime": "2026-09-11T09:00:00.000Z",      "updatedAt": "2026-09-11T09:19:46.518Z",      "import": {        "DE": 36,        "SE-SE4": 288      },      "export": {        "DK-DK1": 43      }    }  ]}

Playground

get
/v4/electricity-flows/forecast
Explore the API with a 14-day trial.